Subject: bug#33864: Acknowledgement (27.0.50; Display corruption with "small" font size when something is in the fringe)

From: Dale Sedivec <[email-masked]>
Date: Thu, 27 Dec 2018 11:07:46 -0600

On Thu, Dec 27, 2018 at 10:30 AM Alan Third <[email-masked]> wrote:
> On Thu, Dec 27, 2018 at 09:45:57AM -0600, Dale Sedivec wrote:
[...]
> > I am attaching the Elisp script I used to reproduce this problem while
> > bisecting, loaded like:
> >
> >       nextstep/Emacs.app/Contents/MacOS/Emacs -Q --load repro.el
>
> This reproduces instantly, like you say. Thank you! It looks to me
> like the fringe background colour is being drawn right across the
> line, which makes me think that the calculation to work out what to
> blank in the fringe is going wrong.
>
> I think that what’s happened is I’ve misunderstood one of the NS
> rectangle function’s descriptions and assumed it did more error
> checking than it does. It looks like the fix is simply to check that
> the area that’s to be cleared is actually a legitimate rectangle.
>
> Patch attached.

I applied your patch to my master and I can no longer reproduce this
bug.  I'm now able to run master as my daily driver again.  Thank you
very much!

Dale